import { __awaiter } from "tslib";
import { EntityManagement } from '@genesislcap/foundation-entity-management';
import { foundationLayoutComponents } from '@genesislcap/foundation-layout';
import { FoundationRouter } from '@genesislcap/foundation-ui';
EntityManagement;
export function loadRemotes() {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem, provideDesignSystem } = yield import(
        /* webpackMode: "lazy" */
        '@genesislcap/foundation-zero');
        return {
            ZeroDesignSystem: Object.assign(Object.assign({}, registerZeroDesignSystem()), provideDesignSystem().register(foundationLayoutComponents)),
        };
    });
}
/**
 * Ensure tree shaking doesn't remove these
 * Perhaps we keep these MFs style free, ie. they need to get wrapped to have style applied. Keeping it simple for now.
 */
FoundationRouter;
